# Generated from docx-parser-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name docx-parser

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: a ruby library/gem for interacting with .docx files with a light modification from the docx gem in order to allow easier use of the parsed data. Forked from docx gem
License: MIT
URL: https://github.com/jdmartinez1062/docx
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(coveralls_reborn) >= 0.21
# BuildRequires: rubygem(coveralls_reborn) < 1
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
thin wrapper around rubyzip and nokogiri as a way to get started with docx
files.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.1-1
- Initial package
